Using the µVision Socket Interface: UVSOCK_CMD_DATA Union Reference

| Using the µVision Socket Interface Application Note 198 Control and monitor µVision via the built-in TCP/IP interface

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
UVSOCK_CMD_DATA Union Reference
Structs

## Data Fields
BYTE | raw [SOCK_NDATA]
| Command-dependent raw data. More...
PRJDATA | prjdata
| Sent in UV_PRJ_LOAD / UV_PRJ_ADD_GROUP / UV_PRJ_SET_TARGET / UV_PRJ_ADD_FILE / UV_PRJ_DEL_GROUP / UV_PRJ_DEL_FILE / UV_PRJ_SET_OUTPUTNAME. Returned by UV_PRJ_BUILD_OUTPUT / UV_PRJ_BUILD_COMPLETE / UV_RTA_MESSAGE. More...
AMEM | amem
| Sent in UV_DBG_MEM_READ / UV_DBG_MEM_WRITE / UV_DBG_DSM_READ. More...
SERIO | serdat
| Sent in UV_DBG_SERIAL_GET / UV_DBG_SERIAL_PUT. More...
ITMOUT | itmdat
| Sent in UV_DBG_ITM_REGISTER / UV_DBG_ITM_UNREGISTER / UV_DBG_ITM_OUTPUT. More...
EVTROUT | evtrOut
| Sent in UV_DBG_EVTR_OUTPUT. More...
VSET | vset
| Sent in UV_DBG_VTR_GET / UV_DBG_VTR_SET / UV_DBG_CALC_EXPRESSION. More...
TRNOPT | trnopt
| Sent in UV_PRJ_GET_OPTITEM / UV_PRJ_SET_OPTITEM. More...
SSTR | sstr
| Sent in UV_PRJ_ENUM_FILES. Returned by UV_DBG_CMD_OUTPUT. More...
BKPARM | bkparm
| Sent in UV_DBG_CREATE_BP. More...
BKCHG | bkchg
| Sent in UV_DBG_CHANGE_BP. More...
DBGTGTOPT | dbgtgtopt
| Sent in UV_PRJ_SET_DEBUG_TARGET. More...
ADRMTFL | adrmtfl
| Sent in UV_DBG_ADR_TOFILELINE. More...
iSHOWSYNC | ishowsync
| Sent in UV_DBG_ADR_SHOWCODE. More...
iVTRENUM | ivtrenum
| Sent in UV_DBG_ENUM_VTR. More...
EXECCMD | execcmd
| Sent in UV_DBG_EXEC_CMD. More...
iPATHREQ | iPathReq
| Sent in UV_PRJ_GET_OUTPUTNAME / UV_PRJ_GET_CUR_TARGET. More...
UVSC_PSTAMP | powerScaleData
| Sent in UV_DBG_POWERSCALE_SHOWPOWER. More...
iSTKENUM | iStkEnum
| Sent in UV_DBG_ENUM_STACK. More...
PGRESS | pgress
| Sent in UV_PRJ_CMD_PROGRESS. More...
ENUMTPM | enumtpm
| Sent in UV_DBG_ENUM_SYMTP. More...
iINTERVAL | iInterval
| Sent in UV_DBG_WAKE. More...
UINT | nVal
| Sent in UV_DBG_STEP_HLL_N, UV_DBG_STEP_INTO_N, UV_DBG_STEP_INSTRUCTION_N. More...
xU64 | nAddress
| Sent in UV_DBG_RUN_TO_ADDRESS. More...
UVSOCK_OPTIONS | uvSockOpt
| Sent in UV_GEN_SET_OPTIONS. More...
UVSOCK_CMD_RESPONSE | cmdRsp
| Command response formatted data. More...

## Description

UVSOCK message data format

Contains message data. All UVSOCK message data is in this format.

Client ==> uVision (Request) Data may be either of zero length, or one of the types indicated.

Client <== uVision (Response) Data is of cmdRsp format

Client <== uVision (Async) New: Data is of cmdRsp format Legacy: Data may be either of zero length, or one of the types indicated.

## Field Documentation

ADRMTFL UVSOCK_CMD_DATA::adrmtfl

Sent in UV_DBG_ADR_TOFILELINE.

AMEM UVSOCK_CMD_DATA::amem

Sent in UV_DBG_MEM_READ / UV_DBG_MEM_WRITE / UV_DBG_DSM_READ.

BKCHG UVSOCK_CMD_DATA::bkchg

Sent in UV_DBG_CHANGE_BP.

BKPARM UVSOCK_CMD_DATA::bkparm

Sent in UV_DBG_CREATE_BP.

UVSOCK_CMD_RESPONSE UVSOCK_CMD_DATA::cmdRsp

Command response formatted data.

DBGTGTOPT UVSOCK_CMD_DATA::dbgtgtopt

Sent in UV_PRJ_SET_DEBUG_TARGET.

ENUMTPM UVSOCK_CMD_DATA::enumtpm

Sent in UV_DBG_ENUM_SYMTP.

EVTROUT UVSOCK_CMD_DATA::evtrOut

Sent in UV_DBG_EVTR_OUTPUT.

EXECCMD UVSOCK_CMD_DATA::execcmd

Sent in UV_DBG_EXEC_CMD.

iINTERVAL UVSOCK_CMD_DATA::iInterval

Sent in UV_DBG_WAKE.

iPATHREQ UVSOCK_CMD_DATA::iPathReq

Sent in UV_PRJ_GET_OUTPUTNAME / UV_PRJ_GET_CUR_TARGET.

iSHOWSYNC UVSOCK_CMD_DATA::ishowsync

Sent in UV_DBG_ADR_SHOWCODE.

iSTKENUM UVSOCK_CMD_DATA::iStkEnum

Sent in UV_DBG_ENUM_STACK.

ITMOUT UVSOCK_CMD_DATA::itmdat

Sent in UV_DBG_ITM_REGISTER / UV_DBG_ITM_UNREGISTER / UV_DBG_ITM_OUTPUT.

iVTRENUM UVSOCK_CMD_DATA::ivtrenum

Sent in UV_DBG_ENUM_VTR.

xU64 UVSOCK_CMD_DATA::nAddress

Sent in UV_DBG_RUN_TO_ADDRESS.

UINT UVSOCK_CMD_DATA::nVal

Sent in UV_DBG_STEP_HLL_N, UV_DBG_STEP_INTO_N, UV_DBG_STEP_INSTRUCTION_N.

PGRESS UVSOCK_CMD_DATA::pgress

Sent in UV_PRJ_CMD_PROGRESS.

UVSC_PSTAMP UVSOCK_CMD_DATA::powerScaleData

Sent in UV_DBG_POWERSCALE_SHOWPOWER.

PRJDATA UVSOCK_CMD_DATA::prjdata

Sent in UV_PRJ_LOAD / UV_PRJ_ADD_GROUP / UV_PRJ_SET_TARGET / UV_PRJ_ADD_FILE / UV_PRJ_DEL_GROUP / UV_PRJ_DEL_FILE / UV_PRJ_SET_OUTPUTNAME. Returned by UV_PRJ_BUILD_OUTPUT / UV_PRJ_BUILD_COMPLETE / UV_RTA_MESSAGE.

BYTE UVSOCK_CMD_DATA::raw[SOCK_NDATA]

Command-dependent raw data.

SERIO UVSOCK_CMD_DATA::serdat

Sent in UV_DBG_SERIAL_GET / UV_DBG_SERIAL_PUT.

SSTR UVSOCK_CMD_DATA::sstr

Sent in UV_PRJ_ENUM_FILES. Returned by UV_DBG_CMD_OUTPUT.

TRNOPT UVSOCK_CMD_DATA::trnopt

Sent in UV_PRJ_GET_OPTITEM / UV_PRJ_SET_OPTITEM.

UVSOCK_OPTIONS UVSOCK_CMD_DATA::uvSockOpt

Sent in UV_GEN_SET_OPTIONS.

VSET UVSOCK_CMD_DATA::vset

Sent in UV_DBG_VTR_GET / UV_DBG_VTR_SET / UV_DBG_CALC_EXPRESSION.